Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 135572 - maven plugin doesn't open all project folders for the first time
maven plugin doesn't open all project folders for the first time
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
61fixes2-fixed
:
Depends on: 193065
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 00:58 UTC by claudio4j
Modified: 2012-04-13 21:12 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
1st attachment - the issue (6.76 KB, image/png)
2008-05-22 00:58 UTC, claudio4j
Details
2nd attachment - correctly opened projects (10.44 KB, text/plain)
2008-05-22 00:59 UTC, claudio4j
Details
2nd attachment - correctly opened projects (10.44 KB, image/png)
2008-05-22 00:59 UTC, claudio4j
Details
Launching NB with latest 2 maven projects (34.53 KB, text/plain)
2008-05-22 15:11 UTC, claudio4j
Details

Note You need to log in before you can comment on or make changes to this bug.
Description claudio4j 2008-05-22 00:58:23 UTC
Product Version         = NetBeans IDE 6.1 (Build 200804211638)
  Operating System        = Linux version 2.6.22-14-generic running on i386
  Java; VM; Vendor        = 1.6.0_10-beta; Java HotSpot(TM) Client VM 11.0-b12; Sun Microsystems Inc.
  Runtime                 = Java(TM) SE Runtime Environment 1.6.0_10-beta-b24

maven2 plugin = 3.1.1

Launch the IDE, open maven project. 
Only Source and Test sources are opened. I need to close it and open again, to make all folders be opened

The 1st attachment displays the issue
The 2nd attachment displays all folders

I am using glassfish v3 pom files, 
https://svn.dev.java.net/svn/glassfish-svn/trunk/v3/admingui/core/pom.xml

This really annoy me, because I always need to reopen projects.
Comment 1 claudio4j 2008-05-22 00:58:57 UTC
Created attachment 61723 [details]
1st attachment - the issue
Comment 2 claudio4j 2008-05-22 00:59:36 UTC
Created attachment 61724 [details]
2nd attachment - correctly opened projects
Comment 3 claudio4j 2008-05-22 00:59:40 UTC
Created attachment 61725 [details]
2nd attachment - correctly opened projects
Comment 4 Milos Kleint 2008-05-22 12:16:41 UTC
i'm not experiencing the problems you describe when opening the project. This sort of thing would be most likely caused
by some error in reading the declarative composition of project's subnodes. is that happening in 100% of cases (for this
particular project, or for all projects?) 
can you attach your ~/.netbeans/6.1/var/log/messages.log file?
Comment 5 claudio4j 2008-05-22 15:11:01 UTC
Created attachment 61765 [details]
Launching NB with latest 2 maven projects
Comment 6 Milos Kleint 2008-05-27 13:32:02 UTC
fixed in trunk by 
http://hg.netbeans.org/main/rev/b846da261195
http://hg.netbeans.org/main/rev/4229e776c06c

maybe a candidate for a patch release?

Comment 7 Lukas Hasik 2008-05-27 13:59:50 UTC
claudio4j, could you verify this bugfix in latest development builds? If it works it can be part of next patch for 6.1
Comment 8 claudio4j 2008-05-27 14:15:24 UTC
The dev build at http://bits.netbeans.org/download/trunk/nightly/latest/  is 200805221203, where I suppose is 2008/05/22. 
Does it have the fix, Milos had applied as of 2008/05/27 ?
Comment 9 Milos Kleint 2008-05-27 14:25:04 UTC
you want to wait for the continous build (#2057) at hudson http://deadlock.netbeans.org/hudson/job/trunk/ to finish.
That one includes the change. I'm not sure about the update frequency of the bits.netbeans.org.
Comment 10 claudio4j 2008-05-27 23:04:19 UTC
Tested and it worked !

Thanks
Comment 11 Quality Engineering 2008-05-28 04:48:35 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #222 build
Changeset: http://hg.netbeans.org/main/rev/4229e776c06c
User: Milos Kleint <mkleint@netbeans.org>
Log: #135572 when NodeList implementation fires changes within the key creation loop, it can break the children list display, the following NodeLists can get ommitted. the nodeLists field was not consistently synchronized. fixed.
Comment 12 Jaromir Uhrik 2008-06-03 09:32:59 UTC
Verified.
Comment 13 pgebauer 2008-06-03 23:07:48 UTC
The fix has been ported into the release61_fixes branch:

http://hg.netbeans.org/release61_fixes/a7840d5d55eb


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo